Page MenuHomePhabricator

Add IRC-like commands - /kick and /ban for MediaWikiChat extension
Open, MediumPublic

Description

There should be a /kick and /ban command in MWC, nice for those who are used to IRC or just like to do it via typing. The syntax would go like this:

/kick <username>
/ban <username> <reason>

And for those who don't have permissions, it'll just reply "you do not have permission to do the following: kick, ban." or something along the lines.

Original author: codynguyen1116 @codynguyen1116
Original title: /kick and /ban commands for MediaWikiChat
Original date: February 28th, 2016
Original ticket: https://github.com/Brickimedia/brickimedia/issues/464

Event Timeline

Restricted Application added a subscriber: Zppix. · View Herald TranscriptMay 24 2016, 10:34 PM
SamanthaNguyen moved this task from Backlog to MediaWikiChat on the Brickimedia board.
MacFan4000 closed this task as Resolved.Jul 11 2016, 4:47 PM
MacFan4000 triaged this task as Medium priority.
MacFan4000 added a subscriber: MacFan4000.
SamanthaNguyen reopened this task as Open.Sep 23 2016, 10:23 PM

This wasn't resolved, don't close it if you don't know what you're doing.

Aklapper removed UltrasonicNXT as the assignee of this task.Jun 19 2020, 4:23 PM
Aklapper added subscribers: UltrasonicNXT, Aklapper.

This task has been assigned to the same task owner for more than two years. Resetting task assignee due to inactivity, to decrease task cookie-licking and to get a slightly more realistic overview of plans. Please feel free to assign this task to yourself again if you still realistically work or plan to work on this task - it would be welcome!

For tips how to manage individual work in Phabricator (noisy notifications, lists of task, etc.), see https://phabricator.wikimedia.org/T228575#6237124 for available options.
(For the records, two emails were sent to assignee addresses before resetting assignees. See T228575 for more info and for potential feedback. Thanks!)